Subject: Re: [PWE3] Signalling channel for TDMoIP and SAToP

From: "Mahesh Govind" <[email-masked]>
Date: Sun, 20 Apr 2008 19:43:22 +0530

HI Experts,

First of all Thanks in advance ....

I have some more doubts regarding this .

My doubt is with common channel signaling how the signaling is send
reliably over TDMoIP.
If we loose  a  packet which carriers signaling how this is handled .

Also in the case of CAS signaling where redundancy is ensured by
retransmitting three times the
signaling bits , how will we ensure reliability in case of congestion
or in similar situation ?

Hi Ivan ,

   From RFC 5087 Appendix C

"     For CAS signaling the payload is formatted as an AAL2 "fully
      protected" (type 3) packet (see [AAL2]) in order to ensure error
      protection.  The signaling is sent with the same CID as the
      corresponding voice channel.  Signaling MUST be sent whenever the
      state of the ABCD bits changes, and SHOULD be sent with triple
      redundancy, i.e., sent three times spaced 5 milliseconds apart.
      In addition, the entire set of the signaling bits SHOULD be sent
      periodically to ensure reliability."

regards
Mahesh

Hi pwe3 experts,

I was reading the pwe3 drafts i have some doubts regarding TDMoIP and
SAToP. It would be helpful if someone can clarify those.

In case of TDMoIP and SAToP and when CAS signalling is used how is the
signalling send across. Is it send along with the data channels in the
PSN??
But that would result in loss of signalling in case the data packets
are lost. Is there some draft which describes this??

Another doubt i have is in case of CCS (ISDN PRI). So in this case we
have 23 Bearer and 1 D channel. How is the Signalling channel send
across. ?
Is the signalling channel also send across like data or only the 23
Bearer channels are send as data channels. and the signalling channel
is send across
in a separate reliable channel ??

Also let me know which drafts i should go through to clarify these.

Best Regards
Ivan
_______________________________________________
pwe3 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pwe3

---

From: "Yaakov Stein" <[email-masked]>
Date: Mon, 21 Apr 2008 10:45:20 +0300

Ivan and Mahesh,

SAToP has no protection for CAS signaling.
So SAToP must be used at you own risk.
When using SAToP we assume a good PSN with minimal packet loss.

CESoPSN and TDMoIP in AAL1+CAS mode use a CAS signaling structure.
This structure is sent at a relatively high rate, 
so the relatively slow CAS signaling should be fine.

For TDMoIP in AAL2 mode, I agree with Ivan. 

Y(J)S

-----Original Message-----
From: Mahesh Govind [mailto:[email-masked]] 
Sent: Sunday, April 20, 2008 5:13 PM
To: [email-masked]; Yaakov Stein; Ronen Shashoua; Ron Insler; MOTTY ANAVI
Subject: Re: Signalling channel for TDMoIP and SAToP

HI Experts,

Also in the case of CAS signaling where redundancy is ensured by
retransmitting three times the signaling bits , how will we ensure
reliability in case of congestion or in similar situation ?

Hi Ivan ,

   From RFC 5087 Appendix C

regards
Mahesh

Hi pwe3 experts,

In case of TDMoIP and SAToP and when CAS signalling is used how is the
signalling send across. Is it send along with the data channels in the
PSN??
But that would result in loss of signalling in case the data packets are
lost. Is there some draft which describes this??

Another doubt i have is in case of CCS (ISDN PRI). So in this case we
have 23 Bearer and 1 D channel. How is the Signalling channel send
across. ?
Is the signalling channel also send across like data or only the 23
Bearer channels are send as data channels. and the signalling channel is
send across in a separate reliable channel ??

Best Regards
Ivan

---

From: "Ivan Varghis" <[email-masked]>
Date: Mon, 21 Apr 2008 19:02:46 +0530

Hi Yaakov,

Thanks for the response.

Just to confirm.  For TDMoIP in AAL2 mode  we send it on a reliable channel
like TCP correct?
Also is there any standard for encapsulating the TDM signalling in the TCP
channel for CAS and for CCS like ISDN or SS7?

  'This structure is sent at a relatively high rate,
 so the relatively slow CAS signaling should be fine."

Does the above mean the packets with signalling bits are send multiple
times?

Regards
Ivan

From: Yaakov Stein <[email-masked]>
> Date: Mon, Apr 21, 2008 at 1:15 PM
> Subject: RE: Signalling channel for TDMoIP and SAToP
> To: Mahesh Govind <[email-masked]>, [email-masked]
>
>
>
>  Ivan and Mahesh,
>

---

From: "Yaakov Stein" <[email-masked]>
Date: Mon, 21 Apr 2008 22:40:23 +0300

Ivan
 
No, AAL2 mode does not go over TCP.
It can go over UDP/IP or MPLS. That is why it uses triple redundancy.
 
For the AAL1 or CESoPSN modes e rely on the fact that the
signalling substructure is sent at a high rate WITHOUT repetition.
For example, for CESoPSN it is sent at the same rate as the original TDM
multiframe, 
which is fast compared to on-hook off-hook times.
(It may not be good enough for fast pulse dialing, 
but the AAL1 mode can handle that.)
 
Y(J)S

________________________________

From: Ivan Varghis [mailto:[email-masked]] 
Sent: Monday, April 21, 2008 4:33 PM
To: Yaakov Stein
Cc: [email-masked]; Mahesh Govind
Subject: Re: Signalling channel for TDMoIP and SAToP

Hi Yaakov,

Thanks for the response. 

Just to confirm.  For TDMoIP in AAL2 mode  we send it on a reliable
channel like TCP correct?
Also is there any standard for encapsulating the TDM signalling in the
TCP channel for CAS and for CCS like ISDN or SS7?

Regards
Ivan

	
	 Ivan and Mahesh,

	 CESoPSN and TDMoIP in AAL1+CAS mode use a CAS signaling
structure.
	 This structure is sent at a relatively high rate,
	 so the relatively slow CAS signaling should be fine.

	 Y(J)S

	
	 -----Original Message-----
	 From: Mahesh Govind [mailto:[email-masked]]
	 Sent: Sunday, April 20, 2008 5:13 PM
	 To: [email-masked]; Yaakov Stein; Ronen Shashoua; Ron Insler;
MOTTY ANAVI
	
	 HI Experts,

	 My doubt is with common channel signaling how the signaling is
send
	 reliably over TDMoIP.
	 If we loose  a  packet which carriers signaling how this is
handled .
	
	 Also in the case of CAS signaling where redundancy is ensured
by
	 retransmitting three times the signaling bits , how will we
ensure
	 reliability in case of congestion or in similar situation ?

	 Hi Ivan ,
	
	  From RFC 5087 Appendix C
	
	 "     For CAS signaling the payload is formatted as an AAL2
"fully
	     protected" (type 3) packet (see [AAL2]) in order to ensure
error
	     protection.  The signaling is sent with the same CID as the
	     corresponding voice channel.  Signaling MUST be sent
whenever the
	     state of the ABCD bits changes, and SHOULD be sent with
triple
	     redundancy, i.e., sent three times spaced 5 milliseconds
apart.
	     In addition, the entire set of the signaling bits SHOULD be
sent
	     periodically to ensure reliability."

	
	 regards
	 Mahesh

	 Hi pwe3 experts,
	
	 I was reading the pwe3 drafts i have some doubts regarding
TDMoIP and
	 SAToP. It would be helpful if someone can clarify those.
	
	 In case of TDMoIP and SAToP and when CAS signalling is used how
is the
	 signalling send across. Is it send along with the data channels
in the
	 PSN??
	 But that would result in loss of signalling in case the data
packets are
	 lost. Is there some draft which describes this??
	
	 Another doubt i have is in case of CCS (ISDN PRI). So in this
case we
	 have 23 Bearer and 1 D channel. How is the Signalling channel
send
	 across. ?
	 Is the signalling channel also send across like data or only
the 23
	 Bearer channels are send as data channels. and the signalling
channel is
	 send across in a separate reliable channel ??
	
	 Also let me know which drafts i should go through to clarify
these.
	
	 Best Regards
	 Ivan

---

From: "Ivan Varghis" <[email-masked]>
Date: Tue, 22 Apr 2008 14:13:13 +0530

Hi Y(J)S,

I think the below is for CAS. Can you please clarify how we will transport
signalling in case of of ISDN (CCS) which comes over a
seperate TDM channel.

Best Regards
Ivan
On Tue, Apr 22, 2008 at 1:10 AM, Yaakov Stein <[email-masked]> wrote:

>  ------------------------------
> *From:* Ivan Varghis [mailto:[email-masked]]
> *Sent:* Monday, April 21, 2008 4:33 PM
> *To:* Yaakov Stein
> *Cc:* [email-masked]; Mahesh Govind
>
> *Subject:* Re: Signalling channel for TDMoIP and SAToP
>
>   Hi Yaakov,
>
> Thanks for the response.
>
> > are
> > is

---

From: "Yaakov Stein" <[email-masked]>
Date: Tue, 22 Apr 2008 15:11:48 +0300

Ivan
 
See section 5.3 of RFC 5087.
 
Y(J)S

From: Ivan Varghis [mailto:[email-masked]] 
Sent: Tuesday, April 22, 2008 11:43 AM
To: Yaakov Stein
Cc: [email-masked]; Mahesh Govind
Subject: Re: Signalling channel for TDMoIP and SAToP

Hi Y(J)S,
 
I think the below is for CAS. Can you please clarify how we will
transport signalling in case of of ISDN (CCS) which comes over a 
seperate TDM channel.
 
Best Regards
Ivan